Channels
Channels enable datasets to be categorised or grouped together. A single workspace can have multiple channels.
Objects
Channel
| Path | JSON Type | Format | Description |
|---|---|---|---|
id | string | Version 4 UUID | The channel ID |
creator | object | Member | The channel creator |
workspace | object | Workspace | The channel workspace |
created | string | ISO 8601 timestamp | The channel created at timestamp |
lastModified | string | ISO 8601 timestamp | The channel last modified timestamp |
name | string | The channel name | |
description | string | The channel description | |
picture | string | URL | The channel picture metadata |
{
"id" : "3da70a0c-0999-488a-8945-1af06556e311",
"name" : "SITChannel",
"workspaceId" : "34b03941-bff3-431f-b2ee-33fb6a29fad8",
"creator" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"scope" : "PROFILE",
"type" : "SOURCE",
"created" : "2026-07-30T15:43:34.398697",
"lastModified" : "2026-07-30T15:43:34.398697",
"description" : "SITChannel",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/channels/3da70a0c-0999-488a-8945-1af06556e311"
},
"datasets" : {
"href" : "https://app.matatika.com/api/channels/3da70a0c-0999-488a-8945-1af06556e311/datasets",
"type" : "GET"
},
"add subscription" : {
"href" : "https://app.matatika.com/api/channels/3da70a0c-0999-488a-8945-1af06556e311/subscriptions"
},
"update channel" : {
"href" : "https://app.matatika.com/api/workspaces/34b03941-bff3-431f-b2ee-33fb6a29fad8/channels/3da70a0c-0999-488a-8945-1af06556e311"
},
"delete channel" : {
"href" : "https://app.matatika.com/api/channels/3da70a0c-0999-488a-8945-1af06556e311"
},
"add workspace-scope" : {
"href" : "https://app.matatika.com/api/channels/3da70a0c-0999-488a-8945-1af06556e311/scope/workspace"
}
}
}
Requests
Initialise a channel
POST /api/channels/{channel-id}
Initialise a channel.
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com:443/api/workspaces/34b03941-bff3-431f-b2ee-33fb6a29fad8/channels' -i -X POST \
-H 'Accept: application/json, application/javascript, text/javascript, text/json' \
-H 'Content-Type: application/json' \
-d '{ }'
import requests
url = "https://app.matatika.com:443/api/workspaces/34b03941-bff3-431f-b2ee-33fb6a29fad8/channels"
data = { }
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("POST", url, headers=headers, data=data)
print(response.text.encode('utf8'))
Response
200 OK
Channel with HAL links.
{
"id" : "45444727-3bc2-4b2b-b78e-6e1c34c7a674",
"workspaceId" : "34b03941-bff3-431f-b2ee-33fb6a29fad8",
"created" : "2026-07-30T15:43:40.055109929",
"lastModified" : "2026-07-30T15:43:40.055110493",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"create channel" : {
"href" : "https://app.matatika.com/api/workspaces/34b03941-bff3-431f-b2ee-33fb6a29fad8/channels/45444727-3bc2-4b2b-b78e-6e1c34c7a674"
}
}
}
View a channel
GET /api/channels/{channel-id}
Returns the channel {channel-id}.
Prerequisites
- Channel
{channel-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com:443/api/channels/3da70a0c-0999-488a-8945-1af06556e311' -i -X GET \
-H 'Accept: application/json, application/javascript, text/javascript, text/json'
import requests
url = "https://app.matatika.com:443/api/channels/3da70a0c-0999-488a-8945-1af06556e311"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Channel with HAL links.
{
"id" : "3da70a0c-0999-488a-8945-1af06556e311",
"name" : "SITChannel",
"workspaceId" : "34b03941-bff3-431f-b2ee-33fb6a29fad8",
"creator" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"scope" : "PROFILE",
"type" : "SOURCE",
"created" : "2026-07-30T15:43:34.398697",
"lastModified" : "2026-07-30T15:43:34.398697",
"description" : "SITChannel",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/channels/3da70a0c-0999-488a-8945-1af06556e311"
},
"datasets" : {
"href" : "https://app.matatika.com/api/channels/3da70a0c-0999-488a-8945-1af06556e311/datasets",
"type" : "GET"
},
"add subscription" : {
"href" : "https://app.matatika.com/api/channels/3da70a0c-0999-488a-8945-1af06556e311/subscriptions"
},
"update channel" : {
"href" : "https://app.matatika.com/api/workspaces/34b03941-bff3-431f-b2ee-33fb6a29fad8/channels/3da70a0c-0999-488a-8945-1af06556e311"
},
"delete channel" : {
"href" : "https://app.matatika.com/api/channels/3da70a0c-0999-488a-8945-1af06556e311"
},
"add workspace-scope" : {
"href" : "https://app.matatika.com/api/channels/3da70a0c-0999-488a-8945-1af06556e311/scope/workspace"
}
}
}
View a channel in a workspace
GET /api/workspaces/{workspace-id}/channels/{channel-id}
Returns a channel in the workspace {workspace-id}.
Prerequisites
- Workspace
{workspace-id}must exist - The user must be a member of the workspace
{workspace-id}
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com:443/api/channels/3da70a0c-0999-488a-8945-1af06556e311' -i -X GET \
-H 'Accept: application/json, application/javascript, text/javascript, text/json'
import requests
url = "https://app.matatika.com:443/api/channels/3da70a0c-0999-488a-8945-1af06556e311"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Channel with HAL links.
{
"id" : "3da70a0c-0999-488a-8945-1af06556e311",
"name" : "SITChannel",
"workspaceId" : "34b03941-bff3-431f-b2ee-33fb6a29fad8",
"creator" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"scope" : "PROFILE",
"type" : "SOURCE",
"created" : "2026-07-30T15:43:34.398697",
"lastModified" : "2026-07-30T15:43:34.398697",
"description" : "SITChannel",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/channels/3da70a0c-0999-488a-8945-1af06556e311"
},
"datasets" : {
"href" : "https://app.matatika.com/api/channels/3da70a0c-0999-488a-8945-1af06556e311/datasets",
"type" : "GET"
},
"add subscription" : {
"href" : "https://app.matatika.com/api/channels/3da70a0c-0999-488a-8945-1af06556e311/subscriptions"
},
"update channel" : {
"href" : "https://app.matatika.com/api/workspaces/34b03941-bff3-431f-b2ee-33fb6a29fad8/channels/3da70a0c-0999-488a-8945-1af06556e311"
},
"delete channel" : {
"href" : "https://app.matatika.com/api/channels/3da70a0c-0999-488a-8945-1af06556e311"
},
"add workspace-scope" : {
"href" : "https://app.matatika.com/api/channels/3da70a0c-0999-488a-8945-1af06556e311/scope/workspace"
}
}
}
View all channels in a workspace
GET /api/workspaces/{workspace-id}/channels/{channel-id}?type={type}&source={source}&containsDataset={datasetId}
Returns all channels in the workspace {workspace-id}.
Prerequisites
- Workspace
{workspace-id}must exist - The user must be a member of the workspace
{workspace-id}
Query Parameters
| Parameter | Required | Format | Default Value | Description |
|---|---|---|---|---|
type | No | string | None | Return channels by types: list or source |
source | No | string | None | Return channels by source: profile or workspace |
containsDataset | No | string | None | Adds a containsDataset boolean field to all channels returning if it contains the dataset |
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com:443/api/workspaces/34b03941-bff3-431f-b2ee-33fb6a29fad8/channels' -i -X GET \
-H 'Accept: application/json, application/javascript, text/javascript, text/json'
import requests
url = "https://app.matatika.com:443/api/workspaces/34b03941-bff3-431f-b2ee-33fb6a29fad8/channels"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Channel collection with HAL links.
{
"_embedded" : {
"channels" : [ {
"id" : "3da70a0c-0999-488a-8945-1af06556e311",
"name" : "SITChannel",
"workspaceId" : "34b03941-bff3-431f-b2ee-33fb6a29fad8",
"creator" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"scope" : "PROFILE",
"type" : "SOURCE",
"created" : "2026-07-30T15:43:34.398697",
"lastModified" : "2026-07-30T15:43:34.398697",
"description" : "SITChannel",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/channels/3da70a0c-0999-488a-8945-1af06556e311"
},
"datasets" : {
"href" : "https://app.matatika.com/api/channels/3da70a0c-0999-488a-8945-1af06556e311/datasets",
"type" : "GET"
},
"add subscription" : {
"href" : "https://app.matatika.com/api/channels/3da70a0c-0999-488a-8945-1af06556e311/subscriptions"
},
"update channel" : {
"href" : "https://app.matatika.com/api/workspaces/34b03941-bff3-431f-b2ee-33fb6a29fad8/channels/3da70a0c-0999-488a-8945-1af06556e311"
},
"delete channel" : {
"href" : "https://app.matatika.com/api/channels/3da70a0c-0999-488a-8945-1af06556e311"
},
"add workspace-scope" : {
"href" : "https://app.matatika.com/api/channels/3da70a0c-0999-488a-8945-1af06556e311/scope/workspace"
}
}
}, {
"id" : "eda0a13d-181d-4c1d-aca3-e60a3bfc051e",
"name" : "SITChannelTwo",
"workspaceId" : "34b03941-bff3-431f-b2ee-33fb6a29fad8",
"creator" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"scope" : "PROFILE",
"type" : "SOURCE",
"created" : "2026-07-30T15:43:34.453055",
"lastModified" : "2026-07-30T15:43:34.453055",
"description" : "SITChannelTwo",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/channels/eda0a13d-181d-4c1d-aca3-e60a3bfc051e"
},
"datasets" : {
"href" : "https://app.matatika.com/api/channels/eda0a13d-181d-4c1d-aca3-e60a3bfc051e/datasets",
"type" : "GET"
},
"add subscription" : {
"href" : "https://app.matatika.com/api/channels/eda0a13d-181d-4c1d-aca3-e60a3bfc051e/subscriptions"
},
"update channel" : {
"href" : "https://app.matatika.com/api/workspaces/34b03941-bff3-431f-b2ee-33fb6a29fad8/channels/eda0a13d-181d-4c1d-aca3-e60a3bfc051e"
},
"delete channel" : {
"href" : "https://app.matatika.com/api/channels/eda0a13d-181d-4c1d-aca3-e60a3bfc051e"
},
"add workspace-scope" : {
"href" : "https://app.matatika.com/api/channels/eda0a13d-181d-4c1d-aca3-e60a3bfc051e/scope/workspace"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/workspaces/34b03941-bff3-431f-b2ee-33fb6a29fad8/channels?page=0&size=10&sort=name,asc"
}
},
"page" : {
"size" : 10,
"totalElements" : 2,
"totalPages" : 1,
"number" : 0
}
}
Create or Update a channel in a workspace
PUT /api/workspaces/{workspace-id}/channels/{channel-id}
Creates or Updates a channel in the workspace {workspace-id}.
This endpoint takes a {channel-id} (UUID) and based on the supplied value and the channels that already exist in the workspace, will update or create a channel accordingly.
Prerequisites
- Workspace
{workspace-id}must exist - The user must be a admin in the workspace
{workspace-id}
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com:443/api/workspaces/34b03941-bff3-431f-b2ee-33fb6a29fad8/channels/3da70a0c-0999-488a-8945-1af06556e311' -i -X PUT \
-H 'Accept: application/json, application/javascript, text/javascript, text/json' \
-H 'Content-Type: application/json' \
-d '{
"name" : "SITChannel",
"description" : "SITChannel"
}'
import requests
url = "https://app.matatika.com:443/api/workspaces/34b03941-bff3-431f-b2ee-33fb6a29fad8/channels/3da70a0c-0999-488a-8945-1af06556e311"
data = {
"name" : "SITChannel",
"description" : "SITChannel"
}
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("PUT", url, headers=headers, data=data)
print(response.text.encode('utf8'))
Response
200 OK / 201 Created
Channel with HAL links.
{
"id" : "3da70a0c-0999-488a-8945-1af06556e311",
"name" : "SITChannel",
"workspaceId" : "34b03941-bff3-431f-b2ee-33fb6a29fad8",
"creator" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"scope" : "PROFILE",
"type" : "SOURCE",
"created" : "2026-07-30T15:43:34.398696695",
"lastModified" : "2026-07-30T15:43:34.39869694",
"description" : "SITChannel",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/channels/3da70a0c-0999-488a-8945-1af06556e311"
},
"datasets" : {
"href" : "https://app.matatika.com/api/channels/3da70a0c-0999-488a-8945-1af06556e311/datasets",
"type" : "GET"
},
"add subscription" : {
"href" : "https://app.matatika.com/api/channels/3da70a0c-0999-488a-8945-1af06556e311/subscriptions"
},
"update channel" : {
"href" : "https://app.matatika.com/api/workspaces/34b03941-bff3-431f-b2ee-33fb6a29fad8/channels/3da70a0c-0999-488a-8945-1af06556e311"
},
"delete channel" : {
"href" : "https://app.matatika.com/api/channels/3da70a0c-0999-488a-8945-1af06556e311"
},
"add workspace-scope" : {
"href" : "https://app.matatika.com/api/channels/3da70a0c-0999-488a-8945-1af06556e311/scope/workspace"
}
}
}
Delete a channel
DELETE /api/channels/{channel-id}
Delete a channel.
Prerequisites
- The user must be a admin of the workspace the channel is in.
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com:443/api/channels/3da70a0c-0999-488a-8945-1af06556e311' -i -X DELETE \
-H 'Accept: application/json, application/javascript, text/javascript, text/json'
import requests
url = "https://app.matatika.com:443/api/channels/3da70a0c-0999-488a-8945-1af06556e311"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("DELETE", url, headers=headers)
print(response.text.encode('utf8'))
Response
204 No Content
No response body provided.
View all channels in your workspace news
GET /api/channels/{channel-id}
Returns all channels in your news for the workspace.
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com:443/api/workspaces/34b03941-bff3-431f-b2ee-33fb6a29fad8/news/channels' -i -X GET \
-H 'Accept: application/json, application/javascript, text/javascript, text/json'
import requests
url = "https://app.matatika.com:443/api/workspaces/34b03941-bff3-431f-b2ee-33fb6a29fad8/news/channels"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Channels in your workspace news.
{
"_embedded" : {
"channels" : [ {
"id" : "ec7db744-743e-4957-a02e-5327a67d77af",
"name" : "SITChannel",
"workspaceId" : "34b03941-bff3-431f-b2ee-33fb6a29fad8",
"creator" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"scope" : "WORKSPACE",
"type" : "SOURCE",
"created" : "2026-07-30T15:43:34.772369",
"lastModified" : "2026-07-30T15:43:34.77237",
"description" : "SITChannel",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"search" : {
"href" : "https://app.matatika.com/api/workspaces/34b03941-bff3-431f-b2ee-33fb6a29fad8/news?q=in%3ASITChannel"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/channels"
}
}
}
Add a dataset to a list channel
PUT /api/channels/{channel-id}/datasets/{dataset-id}
Adds a dataset to a channel with type list.
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com:443/api/channels/45444727-3bc2-4b2b-b78e-6e1c34c7a674/datasets/dd48ab50-7459-4e22-99b1-1700bb3981aa' -i -X PUT \
-H 'Accept: application/json, application/javascript, text/javascript, text/json' \
-H 'Content-Type: application/json'
import requests
url = "https://app.matatika.com:443/api/channels/45444727-3bc2-4b2b-b78e-6e1c34c7a674/datasets/dd48ab50-7459-4e22-99b1-1700bb3981aa"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("PUT", url, headers=headers)
print(response.text.encode('utf8'))
Response
201 Created
No response body provided.
Remove a dataset from a list channel
DELETE /api/channels/{channel-id}/datasets/{dataset-id}
Removes a dataset from a channel with type list.
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com:443/api/channels/45444727-3bc2-4b2b-b78e-6e1c34c7a674/datasets/dd48ab50-7459-4e22-99b1-1700bb3981aa' -i -X DELETE \
-H 'Accept: application/json, application/javascript, text/javascript, text/json'
import requests
url = "https://app.matatika.com:443/api/channels/45444727-3bc2-4b2b-b78e-6e1c34c7a674/datasets/dd48ab50-7459-4e22-99b1-1700bb3981aa"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("DELETE", url, headers=headers)
print(response.text.encode('utf8'))
Response
204 No Content
No response body provided.
Add workspace scope to a channel
PUT /api/channels/{channel-id}/scope/workspace
Add workspace scope to a channel.
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com:443/api/channels/45444727-3bc2-4b2b-b78e-6e1c34c7a674/scope/workspace' -i -X PUT \
-H 'Accept: application/json, application/javascript, text/javascript, text/json' \
-H 'Content-Type: application/json'
import requests
url = "https://app.matatika.com:443/api/channels/45444727-3bc2-4b2b-b78e-6e1c34c7a674/scope/workspace"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("PUT", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Channel with HAL links.
{
"id" : "45444727-3bc2-4b2b-b78e-6e1c34c7a674",
"name" : "mylist",
"workspaceId" : "34b03941-bff3-431f-b2ee-33fb6a29fad8",
"creator" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"scope" : "WORKSPACE",
"type" : "LIST",
"created" : "2026-07-30T15:43:40.098323",
"lastModified" : "2026-07-30T15:43:40.098323",
"description" : "mylist channel",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/channels/45444727-3bc2-4b2b-b78e-6e1c34c7a674"
},
"datasets" : {
"href" : "https://app.matatika.com/api/channels/45444727-3bc2-4b2b-b78e-6e1c34c7a674/datasets",
"type" : "GET"
},
"add subscription" : {
"href" : "https://app.matatika.com/api/channels/45444727-3bc2-4b2b-b78e-6e1c34c7a674/subscriptions"
},
"update channel" : {
"href" : "https://app.matatika.com/api/workspaces/34b03941-bff3-431f-b2ee-33fb6a29fad8/channels/45444727-3bc2-4b2b-b78e-6e1c34c7a674"
},
"delete channel" : {
"href" : "https://app.matatika.com/api/channels/45444727-3bc2-4b2b-b78e-6e1c34c7a674"
},
"withdraw workspace-scope" : {
"href" : "https://app.matatika.com/api/channels/45444727-3bc2-4b2b-b78e-6e1c34c7a674/scope/profile"
}
}
}
Withdraw workspace scope from a channel
PUT /api/channels/{channel-id}/scope/profile
Withdraw workspace scope from a channel.
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com:443/api/channels/45444727-3bc2-4b2b-b78e-6e1c34c7a674/scope/profile' -i -X PUT \
-H 'Accept: application/json, application/javascript, text/javascript, text/json' \
-H 'Content-Type: application/json'
import requests
url = "https://app.matatika.com:443/api/channels/45444727-3bc2-4b2b-b78e-6e1c34c7a674/scope/profile"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("PUT", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Channel with HAL links.
{
"id" : "45444727-3bc2-4b2b-b78e-6e1c34c7a674",
"name" : "mylist",
"workspaceId" : "34b03941-bff3-431f-b2ee-33fb6a29fad8",
"creator" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"scope" : "PROFILE",
"type" : "LIST",
"created" : "2026-07-30T15:43:40.098323",
"lastModified" : "2026-07-30T15:43:40.098323",
"description" : "mylist channel",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/channels/45444727-3bc2-4b2b-b78e-6e1c34c7a674"
},
"datasets" : {
"href" : "https://app.matatika.com/api/channels/45444727-3bc2-4b2b-b78e-6e1c34c7a674/datasets",
"type" : "GET"
},
"add subscription" : {
"href" : "https://app.matatika.com/api/channels/45444727-3bc2-4b2b-b78e-6e1c34c7a674/subscriptions"
},
"update channel" : {
"href" : "https://app.matatika.com/api/workspaces/34b03941-bff3-431f-b2ee-33fb6a29fad8/channels/45444727-3bc2-4b2b-b78e-6e1c34c7a674"
},
"delete channel" : {
"href" : "https://app.matatika.com/api/channels/45444727-3bc2-4b2b-b78e-6e1c34c7a674"
},
"add workspace-scope" : {
"href" : "https://app.matatika.com/api/channels/45444727-3bc2-4b2b-b78e-6e1c34c7a674/scope/workspace"
}
}
}